<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="vm"
            type="com.example.iot_controlhost.ui.fragment.IntelligenceFragmentPresenter" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/constraintLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/linearLayout10"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:layout_marginTop="15dp"
                android:layout_weight="1"
                android:orientation="horizontal"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_goneMarginStart="30dp">

                <TextView
                    android:id="@+id/tv_season"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="cursive"
                    android:maxLines="1"
                    android:minWidth="200dp"
                    android:text="@string/none"
                    android:textStyle="italic|bold" />

                <TextView
                    android:id="@+id/tv_variety"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:text="@string/none"
                    android:textColor="#00A1FF"
                    android:textSize="25sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/linearLayout12"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="30dp"
                android:layout_marginBottom="10dp"
                android:layout_weight="1"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/linearLayout10">

                <TextView
                    android:id="@+id/tv_room_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="cursive"
                    android:text="第"
                    android:textSize="26sp" />

                <TextView
                    android:id="@+id/tv_day"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="5dp"
                    android:text="@string/none"
                    android:textColor="#00A1FF"
                    android:textSize="45sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="cursive"
                    android:text="天"
                    android:textSize="26sp" />

                <TextView
                    android:id="@+id/tv_instar"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:minWidth="100dp"
                    android:textSize="26sp"
                    android:text="@string/none"
                    android:textColor="#00A1FF" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="@+id/linearLayout12"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@+id/linearLayout12">

                <LinearLayout
                    android:id="@+id/ll_custom_intelligence_t"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="10dp"
                    android:gravity="center_vertical"
                    android:onClick="@{()->vm.notice(5)}"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="5dp"
                        android:src="@mipmap/ai_tem" />

                    <TextView
                        android:id="@+id/tv_temperature"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/none"
                        android:textSize="26sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_custom_intelligence_h"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="10dp"
                    android:gravity="center_vertical"
                    android:onClick="@{()->vm.notice(5)}"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="5dp"
                        android:src="@mipmap/ai_hum" />

                    <TextView
                        android:id="@+id/tv_humidity"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/none"
                        android:textSize="26sp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/ll_custom_intelligence_v"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="20dp"
                    android:gravity="center_vertical"
                    android:onClick="@{()->vm.notice(6)}"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="5dp"
                        android:src="@mipmap/ai_ven" />

                    <TextView
                        android:id="@+id/tv_ventilator"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/none"
                        android:textSize="26sp" />

                </LinearLayout>

            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_mode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="45dp"
                android:text="@string/none"
                android:textSize="20sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cardView2" />

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/chart"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginHorizontal="30dp"
                android:layout_weight="1" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.cardview.widget.CardView
                    android:id="@+id/btn_disinfect"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="30dp"
                    android:layout_marginVertical="5dp"
                    android:onClick="@{()->vm.notice(4)}"
                    android:text="@string/refresh"
                    app:cardCornerRadius="30dp"
                    app:cardElevation="10dp"
                    app:layout_constraintBottom_toBottomOf="@+id/cardView"
                    app:layout_constraintStart_toEndOf="@+id/cardView"
                    app:layout_constraintTop_toTopOf="@+id/cardView">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="50dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingHorizontal="20dp"
                        android:paddingVertical="10dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/refresh" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="@string/disinfect_plan"
                            android:textSize="25sp" />

                    </LinearLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView"
                    style="?attr/materialButtonOutlinedStyle"
                    android:layout_width="300dp"
                    android:layout_height="50dp"
                    android:layout_marginHorizontal="5dp"
                    android:layout_marginVertical="15dp"
                    android:text="@string/refresh"
                    app:cardCornerRadius="30dp"
                    app:cardElevation="10dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:gravity="center_vertical"
                        android:layout_gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/btn_last"
                            android:layout_width="0dp"
                            android:padding="10dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:onClick="@{()->vm.notice(2)}"
                            android:src="@mipmap/back" />

                        <ImageView
                            android:id="@+id/btn_start_stop"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:padding="10dp"
                            android:onClick="@{()->vm.startStopCultivate()}" />

                        <ImageView
                            android:id="@+id/btn_next"
                            android:layout_width="0dp"
                            android:padding="10dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:onClick="@{()->vm.notice(3)}"
                            android:src="@mipmap/next" />

                    </LinearLayout>

                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/btn_refresh"
                    android:layout_width="wrap_content"
                    android:layout_height="50dp"
                    android:layout_marginHorizontal="30dp"
                    android:layout_marginVertical="5dp"
                    android:onClick="@{()->vm.notice(0)}"
                    android:text="@string/refresh"
                    app:cardCornerRadius="30dp"
                    app:cardElevation="10dp"
                    app:layout_constraintBottom_toBottomOf="@+id/cardView"
                    app:layout_constraintEnd_toStartOf="@+id/cardView"
                    app:layout_constraintTop_toTopOf="@+id/cardView">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingHorizontal="20dp"
                        android:paddingVertical="10dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/refresh" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="10dp"
                            android:text="@string/refresh"
                            android:textSize="25sp" />

                    </LinearLayout>

                </androidx.cardview.widget.CardView>

            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

    </LinearLayout>
</layout>